Change Age
curl --request POST \
--url https://api.acedata.cloud/face/change-age \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"age_infos": [
{
"age": 30
}
]
}
'import requests
url = "https://api.acedata.cloud/face/change-age"
payload = {
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"age_infos": [{ "age": 30 }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://cdn.acedata.cloud/4hfydw.jpg', age_infos: [{age: 30}]})
};
fetch('https://api.acedata.cloud/face/change-age', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"image_url": "https://faceeffect-1254418846.cos.ap-guangzhou.myqcloud.com/ft/ChangeAgePic/1256437459/f522c681-7e82-46d5-a68f-4c89e91e4df2"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Change Age
The user uploads a face picture, based on the face editing and generation algorithm, outputs a picture of the face getting older or younger, and supports the change of the face at different ages.
POST
/
face
/
change-age
Change Age
curl --request POST \
--url https://api.acedata.cloud/face/change-age \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"age_infos": [
{
"age": 30
}
]
}
'import requests
url = "https://api.acedata.cloud/face/change-age"
payload = {
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"age_infos": [{ "age": 30 }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://cdn.acedata.cloud/4hfydw.jpg', age_infos: [{age: 30}]})
};
fetch('https://api.acedata.cloud/face/change-age', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"image_url": "https://faceeffect-1254418846.cos.ap-guangzhou.myqcloud.com/ft/ChangeAgePic/1256437459/f522c681-7e82-46d5-a68f-4c89e91e4df2"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}承認
API token from https://platform.acedata.cloud
ヘッダー
Face Change Age Param Accept
利用可能なオプション:
application/json, application/x-ndjson ボディ
application/json
レスポンス
Face Change Age Response 200
Face Change Age Response 200 Image Url
⌘I

